Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.custom.swt
Class ECPAbstractCustomControlSWT

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.custom.swt.ECPAbstractCustomControlSWT

Direct Known Subclasses:
  CustomControlStub, CustomControlStub2, CustomControlStub3, DICustomControlSWT, ECPAbstractCustomControlSWTStub, ValidationCustomControl

    public abstract class ECPAbstractCustomControlSWT

extends Object

Extend this class in order to provide an own implementation of an `ECPAbstractCustomControlSWT`.

Since:
  1.2
Author:
  Eugen Neufeld

Nested Class Summary
`class` | `ECPAbstractCustomControlSWT.SWTCustomControlHelper` The `ECPAbstractCustomControlSWT.SWTCustomControlHelper` allows the retrieval of SWT specific elements.

Field Summary
`static int` | `ADD_IMAGE` Constant for an add image.
`static int` | `DELETE_IMAGE` Constant for an delete image.
`static int` | `HELP_IMAGE` Constant for a help image.
`static int` | `VALIDATION_ERROR_IMAGE` Constant for an validation error image.

Constructor Summary
`ECPAbstractCustomControlSWT()`

Method Summary
`void` | `applyEnable(Map<SWTGridCell,org.eclipse.swt.widgets.Control> controls)` Applies the current enable state.
`void` | `applyReadOnly(Map<SWTGridCell,org.eclipse.swt.widgets.Control> controls)` Applies the current readOnlyState.
`void` | `applyValidation()` Called by the framework to apply validation changes.
`void` | `dispose()` Is called by the framework to trigger a dispose of the control.
`abstract SWTGridDescription` | `getGridDescription()` Returns the GridDescription for this Renderer.
`void` | `init(VCustomControl customControl, ViewModelContext viewModelContext)` Called by the framework to trigger an initialization.
`abstract org.eclipse.swt.widgets.Control` | `renderControl(SWTGridCell cell, org.eclipse.swt.widgets.Composite parent)` Renders the control.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATION_ERROR_IMAGE

    public static final int VALIDATION_ERROR_IMAGE

  Constant for an validation error image.

  See Also:
    Constant Field Values

### ADD_IMAGE

    public static final int ADD_IMAGE

  Constant for an add image.

  See Also:
    Constant Field Values

### DELETE_IMAGE

    public static final int DELETE_IMAGE

  Constant for an delete image.

  See Also:
    Constant Field Values

### HELP_IMAGE

    public static final int HELP_IMAGE

  Constant for a help image.

  See Also:
    Constant Field Values

Constructor Detail

### ECPAbstractCustomControlSWT

    public ECPAbstractCustomControlSWT()

Method Detail

### init

    public final void init(VCustomControl customControl,
                           ViewModelContext viewModelContext)

  Called by the framework to trigger an initialization.

  Parameters:
    `customControl` - the `VCustomControl` to use
    `viewModelContext` - the `ViewModelContext` to use
  Since:
    1.3

### dispose

    public final void dispose()

  Is called by the framework to trigger a dispose of the control.

### getGridDescription

    public abstract SWTGridDescription getGridDescription()

  Returns the GridDescription for this Renderer.

  Returns:
    the GridDescription
  Since:
    1.6

### renderControl

    public abstract org.eclipse.swt.widgets.Control renderControl(SWTGridCell cell,
                                                                  org.eclipse.swt.widgets.Composite parent)
                                                           throws NoRendererFoundException,
                                                                  NoPropertyDescriptorFoundExeption

  Renders the control.

  Parameters:
    `cell` - the `SWTGridCell` of the control to render
    `parent` - the `Composite` to render on
  Returns:
    the rendered `Control`
  Throws:
    `NoRendererFoundException` - this is thrown when a renderer cannot be found
    `NoPropertyDescriptorFoundExeption` - this is thrown when no property descriptor can be found
  Since:
    1.6

### applyValidation

    public final void applyValidation()

  Called by the framework to apply validation changes.

  Since:
    1.3

### applyReadOnly

    public final void applyReadOnly(Map<SWTGridCell,org.eclipse.swt.widgets.Control> controls)

  Applies the current readOnlyState.

  Parameters:
    `controls` - the controls provided
  Since:
    1.3

### applyEnable

    public final void applyEnable(Map<SWTGridCell,org.eclipse.swt.widgets.Control> controls)

  Applies the current enable state.

  Parameters:
    `controls` - the controls
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.